'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

exports.default = addEffect;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function addEffect(options) {
    var effects = options.effects,
        key = options.key,
        data = options.data,
        pos = options.pos;


    var styleList = ['skew', 'shadow', 'stroke', 'filling'];
    if (!styleList.includes(key)) {
        return;
    }

    var defaultEffect = {
        enable: true,
        collapse: false,

        offset: {
            enable: false,
            x: 0,
            y: 0
        },

        skew: {
            enable: false,
            x: 0,
            y: 0
        },

        stroke: {
            enable: false,
            color: '#000000',
            width: 0
        },

        shadow: {
            enable: false,
            color: '#000000',
            offsetX: 0,
            offsetY: 0,
            blur: 0
        },

        filling: {
            enable: false,

            type: 0,
            color: '#ffffff',
            imageContent: {
                repeat: 0,

                scaleX: 1,
                scaleY: 1,

                image: null,
                width: null,
                height: null
            },

            gradient: {
                byLine: 0,

                angle: 0,
                stops: [{ color: '#FFFFFF', offset: 0 }, { color: '#000000', offset: 1 }]
            }
        }
    };

    if (!effects.length) {
        effects.push(defaultEffect);
    }

    var currentEffect = null;
    if (!pos) {
        effects.some(function (item) {
            if (!item[key].enable) {
                currentEffect = item;
                currentEffect[key] = data;
                return true;
            }

            return false;
        });
    }

    if (!currentEffect) {
        effects.push(Object.assign(defaultEffect, {
            offset: effects[0].offset
        }, (0, _defineProperty3.default)({}, key, data)));
    }

    return effects;
};
module.exports = exports['default'];