'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = styledStroke;

var _getColors = require('./get-colors');

var _getColors2 = _interopRequireDefault(_getColors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function styledStroke(data) {
    var positionStyleMap = {
        'InsF': 'inset',
        'OutF': 'outer',
        'CtrF': 'center'
    };
    var type = positionStyleMap[data['Styl'].value];
    if (type === 'inset') {
        type = 'center';
    }
    var width = data['Sz  '].value;


    var color = (0, _getColors2.default)(data).color;

    return {
        color: color,

        type: type,
        width: width
    };
};
module.exports = exports['default'];