'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (context, options) {
    var canvas = context.canvas;
    var pixelData = context.getImageData(0, 0, canvas.width, canvas.height).data;

    var len = pixelData.length;
    var per = 8;
    var hasAlphaTunnel = false;

    for (var i = len; i >= per; i -= per) {
        if (pixelData[i - 1] < 255 || pixelData[i - 5] < 255) {
            hasAlphaTunnel = true;
            break;
        }
    }

    if (typeof options === 'number') {
        options = {
            quality: options
        };
    }
    options = (0, _lodash2.default)(options, {
        format: hasAlphaTunnel ? 'png' : 'jpg',
        quality: 60
    });

    var format = options.format;
    if (format === 'jpg') {
        format = 'jpeg';
    }

    var quality = options.quality / 100;
    var url = canvas.toDataURL('image/' + format, quality);

    return url;
};

var _lodash = require('lodash.defaults');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

;
module.exports = exports['default'];