'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var fileTool = {
    dataURLPattern: /^data:((.*?)(;charset=.*?)?)(;base64)?,/,
    dataURLToBlob: _bluebird2.default.method(function (dataURL) {
        var dataURLPattern = this.dataURLPattern;

        var matches = dataURL.match(dataURLPattern);
        if (!matches) {
            throw new Error('invalid data URI');
        }

        var mediaType = matches[2] ? matches[1] : 'text/plain' + (matches[3] || ';charset=US-ASCII');
        var isBase64 = !!matches[4];
        var dataString = dataURL.slice(matches[0].length);

        var byteString = isBase64 ? atob(dataString) : decodeURIComponent(dataString);

        var byteStringLen = byteString.length;
        var arrayBuffer = new ArrayBuffer(byteStringLen);
        var intArray = new Uint8Array(arrayBuffer);

        for (var i = 0; i < byteStringLen; i += 1) {
            intArray[i] = byteString.charCodeAt(i);
        }

        return new Blob([intArray], {
            type: mediaType
        });
    })
};

exports.default = fileTool;
module.exports = exports['default'];