'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = flatLayers;
function flatLayers(layout) {
    var layers = [];
    var isPreviousMask = false;

    var flat = function flat(layers, layer) {
        if (!layer.isRoot() && !layer.visible() || layer.isLayer() && layer.isEmpty() || layer.isGroup() && !layer.hasChildren()) {
            return;
        }

        if (isPreviousMask) {
            layer.layer.isPreviousMask = true;
        }

        isPreviousMask = layer.layer.clipped;

        if (layer.hasChildren()) {
            layer.children().forEach(function (subLayer) {
                if (layer.layer.isPreviousMask) {
                    subLayer.layer.isPreviousMask = true;
                }
                flat(layers, subLayer);
            });

            return;
        }

        if (layer.width > 3000 || layer.height > 3000) {
            console.warn('大尺寸图片 ', layer.name, ':', layer.width, '*', layer.height);
        }

        layers.push(layer);
    };

    flat(layers, layout);

    return layers;
}
module.exports = exports['default'];