'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = mergeMasks;

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _imageToBase = require('./image-to-base64');

var _imageToBase2 = _interopRequireDefault(_imageToBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mergeMasks(masks, elem) {
    var canvas = document.createElement('canvas');
    var ctx = canvas.getContext('2d');
    canvas.width = elem.width;
    canvas.height = elem.height;

    return _bluebird2.default.mapSeries(masks, function (layer) {
        if (!layer.width || !layer.height) {
            return null;
        }
        return (0, _imageToBase2.default)(layer.image, elem.$config).then(function (url) {
            var image = new _bluebird2.default(function (resolve) {
                var image = new Image();
                image.src = url;
                image.onload = function () {
                    resolve(image);
                };
            });

            return image;
        });
    }).filter(function (image) {
        return image;
    }).then(function (images) {
        return _bluebird2.default.all(images).then(function (results) {
            results.forEach(function (item, inx) {
                ctx.globalAlpha = masks[inx].image.opacity;

                ctx.drawImage(item, masks[inx].left - elem.left, masks[inx].top - elem.top);
                ctx.globalCompositeOperation = 'source-atop';
            });

            return ctx;
        }).then(function () {
            return canvas.toDataURL('image/png', 0.8);
        });
    });
};
module.exports = exports['default'];