'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (layer, options) {
    var effects = (0, _getSupportedEffects2.default)(layer);

    var elem = Object.assign({
        opacity: layer.opacity / 255,
        width: layer.width,
        height: layer.height,
        left: layer.left,
        top: layer.top
    }, effects);

    var name = trim(layer.name);
    var rNamePrefix = /^\[([^\]]+)\]/;
    var rConfig = /^\{([^\}]+)\}/;

    if (name && rNamePrefix.test(name)) {
        elem.category = RegExp.$1;

        name = trim(name.replace(rNamePrefix, ''));
    }

    if (rConfig.test(name)) {
        var config = elem.$config = {};
        config.quality = options ? options.imageQuality : 60;

        var tmpArr = RegExp.$1.split(',');

        tmpArr.forEach(function (s) {
            var tmp = s.split(':');
            var k = trim(tmp[0]);
            var val = trim(tmp[1]);

            if (k) {
                config[k] = val;
            }
        });
    };

    return elem;
};

var _getSupportedEffects = require('./get-supported-effects');

var _getSupportedEffects2 = _interopRequireDefault(_getSupportedEffects);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var trim = function trim(str) {
    if (str && typeof str === 'string') {
        return str.trim();
    };

    return str;
};

;
module.exports = exports['default'];