
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (layer, options) {
  var effects = (0, _getEffect2.default)(layer, options);

  var elem = {
    opacity: layer.opacity / 255,
    width: layer.width,
    height: layer.height,
    left: layer.left,
    top: layer.top,
    _effects: effects
  };

  var name = trim(layer.name);
  var rNamePrefix = /^\[([^\]]+)\]/;
  var rConfig = /^\{([^\}]+)\}/;

  if (name && rNamePrefix.test(name)) {
    elem.category = RegExp.$1;

    name = trim(name.replace(rNamePrefix, ''));
  }

  var config = elem.$config = {};
  config.quality = options ? options.imageQuality : 60;

  if (rConfig.test(name)) {
    var tmpArr = RegExp.$1.split(',');

    tmpArr.forEach(function (s) {
      var tmp = s.split(':');
      var k = trim(tmp[0]);
      var val = trim(tmp[1]);

      if (k) {
        config[k] = val;
      }
    });
  };

  return elem;
};

var _getEffect = require('../utils/get-effect');

var _getEffect2 = _interopRequireDefault(_getEffect);

function _interopRequireDefault (obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var trim = function trim (str) {
  if (str && typeof str === 'string') {
    return str.trim();
  };

  return str;
};

;
module.exports = exports['default'];
