'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _parseSvgLayer = require('./parse-svg-layer');

var _parseSvgLayer2 = _interopRequireDefault(_parseSvgLayer);

var _standardProps = require('./standard-props');

var _standardProps2 = _interopRequireDefault(_standardProps);

var _nameCheck = require('../utils/name-check');

var _nameCheck2 = _interopRequireDefault(_nameCheck);

function _interopRequireDefault (obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parseSvg = _bluebird2.default.method(function (layer, options) {
  var elem = (0, _standardProps2.default)(layer, options);

  elem.type = 'svg';
  layer.elem = elem;

  return _bluebird2.default.try(function () {
    return (0, _parseSvgLayer2.default)(layer);
  }).then(function (res) {
    elem.content = res.content;
    elem.colors = res.colors;

    if (_nameCheck2.default.matchBackground(layer.name)) {
      elem._isLabelBackground = true;
    }

    delete layer.elem;

    return '';
  }).then(function (url) {
    elem.url = url;
    elem._rawImage = layer.image;

    return elem;
  });
});

exports.default = parseSvg;
module.exports = exports['default'];
