'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = styledColorOverlay;

var _componentColors = require('./component-colors');

var _componentColors2 = _interopRequireDefault(_componentColors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function styledColorOverlay(type, elem, color, fillColor) {
    return new Promise(function (resolve) {
        if (type === 'image') {
            var url = elem.url;
            var image = new Image();
            image.src = url;
            image.onload = function () {
                var canvas = document.createElement('canvas');
                var canvasCtx = canvas.getContext('2d');
                canvas.width = elem.width;
                canvas.height = elem.height;

                canvasCtx.drawImage(image, 0, 0);

                canvasCtx.fillStyle = canvasCtx.strokeStyle = color;
                canvasCtx.fillRect(0, 0, elem.width, elem.height);
                canvasCtx.globalCompositeOperation = 'source-atop';

                elem.url = canvas.toDataURL('image/png', 0.8);

                resolve(elem);
            };
        }

        if (type === 'text') {
            var color1 = elem.color;
            var color2 = color;

            elem.color = (0, _componentColors2.default)(color1, color2);

            resolve(elem);
        }

        if (type === 'svg') {
            elem.color = (0, _componentColors2.default)(fillColor, color);

            resolve(elem);
        }
    });
};
module.exports = exports['default'];