'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = componentColors;

var _hexToRgb = require('./hex-to-rgb');

var _hexToRgb2 = _interopRequireDefault(_hexToRgb);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function componentColors(color1, color2) {
    var reg = /(rgba\()|\)/g;
    color1 = color1.indexOf('#') > -1 ? (0, _hexToRgb2.default)(color1) : color1.replace(reg, '').split(',');
    color2 = color2.indexOf('#') > -1 ? (0, _hexToRgb2.default)(color2) : color2.replace(reg, '').split(',');

    var _ref = [parseInt(color1[0]), parseInt(color1[1]), parseInt(color1[2]), parseFloat(color1[3])],
        R1 = _ref[0],
        G1 = _ref[1],
        B1 = _ref[2],
        Alpha1 = _ref[3];
    var _ref2 = [parseInt(color2[0]), parseInt(color2[1]), parseInt(color2[2]), parseFloat(color2[3])],
        R2 = _ref2[0],
        G2 = _ref2[1],
        B2 = _ref2[2],
        Alpha2 = _ref2[3];


    var R = R2 * Alpha2 + R1 * Alpha1 * (1 - Alpha2);
    var G = G2 * Alpha2 + G1 * Alpha1 * (1 - Alpha2);
    var B = B2 * Alpha2 + B1 * Alpha1 * (1 - Alpha2);
    var Alpha = 1 - (1 - Alpha2) * (1 - Alpha1);

    R = R / Alpha;
    G = G / Alpha;
    B = B / Alpha;

    return 'rgba(' + R + ', ' + G + ', ' + B + ', ' + Alpha + ')';
};
module.exports = exports['default'];