'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = formatColor;

var _onecolor = require('onecolor');

var _onecolor2 = _interopRequireDefault(_onecolor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function formatColor(inp, type) {
    if (!inp || typeof inp === 'string') {
        return (0, _onecolor2.default)(inp || '#000').hex();
    }

    var data = {
        r: 0,
        g: 0,
        b: 0,
        a: 1
    };

    if (Array.isArray(inp)) {
        data.r = inp[0] || 0;
        data.g = inp[1] || 0;
        data.b = inp[2] || 0;
    } else {
        data.r = Math.round(inp['Rd  '] || inp.r || 0);
        data.g = Math.round(inp['Grn '] || inp.g || 0);
        data.b = Math.round(inp['Bl  '] || inp.b || 0);
        data.a = inp.a !== undefined ? inp.a : 1;
    }

    var color = (0, _onecolor2.default)([data.r, data.g, data.b, 255 * (isFinite(data.a) ? data.a : 1)]);

    if (type === 'cssa') {
        return color.cssa();
    }

    return color.hex();
};
module.exports = exports['default'];