'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = parseDropShadow;

var _stringifyRgba = require('../utils/stringify-rgba');

var _stringifyRgba2 = _interopRequireDefault(_stringifyRgba);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function parseDropShadow(data) {
    var deg = data.lagl.value;
    var dis = data.Dstn.value;
    var spread = data.Ckmt.value;
    var size = data.blur.value;

    var ang = (180 - deg) * 3.14 / 180;
    var spreadrad = size * spread / 100;

    var blurrad = size - spreadrad;

    var colorData = data['Clr '];
    var color = (0, _stringifyRgba2.default)([Math.round(colorData['Rd  ']), Math.round(colorData['Grn ']), Math.round(colorData['Bl  ']), data.Opct.value / 100 * 255]);

    return {
        color: color,
        offsetX: dis * Math.cos(ang),
        offsetY: dis * Math.sin(ang),
        blurRadius: blurrad,
        spreadRadius: spreadrad,
        inset: false
    };
}
module.exports = exports['default'];